Subject: [netatalk-admins] 1.4b2+asun2.0a18.2 compile problem.

From: John Barry -Technician <[email-masked]>
Date: Wed, 25 Feb 98 20:42:18 GMT

Hi,
I've been using 1.4b2+asun2.0a13 for a while now without problems, and I thought I'd have a bash at installing 1.4b2+asun2.0a18.2, and I've found a peculiar
problem:

The only warning i get through the entire compile process is this:
etc/afpd

auth.c: In function `login':
auth.c:427: warning: passing arg 2 of `getgroups' from incompatible pointer type
auth.c: In function `check_user':
auth.c:667: warning: assignment makes pointer from integer without a cast

it all goes well untill this happens:

gcc -DBSD4_3 -D_POSIX_MAPPED_FILES    -O5 -I../../include        -DAPPLCNAME -DCRLF  -o afpd 
unix.o afs.o kuam.o send_to_kdc.o lifetime.o ofork.o  main.o switch.o auth.o volume.o directory.o file.o  
enumerate.o desktop.o filedir.o fork.o appl.o gettok.o bprint.o  status.o afp_options.o afp_asp.o afp_dsi.o 
messages.o config.o -L../../libatalk       -latalk        
collect2: ld returned 2 exit status
ld: Undefined symbol 
   _inet_aton 
*** Error code 1
make: Fatal error: Command failed for target `afpd'

SunOS zool 4.1.4 3 sun4m
gcc 2.7.2.1

links OK, but segmentation faults on startup:

[8:21pm] zool ld -o afpd unix.o afs.o kuam.o send_to_kdc.o lifetime.o ofork.o  main.o switch.o auth.o 
volume.o directory.o file.o  enumerate.o desktop.o filedir.o fork.o appl.o gettok.o bprint.o  status.o 
afp_options.o afp_asp.o afp_dsi.o messages.o config.o -L../../libatalk       -latalk 
[8:21pm] zool afpd
Segmentation fault
[8:21pm] zool

with Sun cc:

[8:27pm] zool make
Making all for sunos...
cc -DBSD4_3 -D_POSIX_MAPPED_FILES -O2 -I../../include -I../netatalk -DKERNEL -D`arch -k` -c at_sun.c
"../../include/netatalk/endian.h", line 78: illegal type combination
*** Error code 1
make: Fatal error: Command failed for target `at_sun.o'
Current working directory /tmp_mnt/home/u0011042/u0011115/netatalk-a18.2/sys/sunos
*** Error code 1
make: Fatal error: Command failed for target `all'

If I force the link the rest of the compile is clean, as is the install.  since a segmentation fault is
usually a programming problem, I was wondering if you had any ideas...

I'm not using PAM, DES or TCPWRAP (if I need to use the TCPWRAP stuff where do I find it?)

Any help would be appreciated.
later
jb